##### GENERAL STUFF #####

%define major	0
%define libname	%mklibname gpio %{major}

Summary:	I/O library for GPhoto 2.x
Name:		%{libname}
Version:	0.0.2
Release:	11mdk
License:	LGPL
Group:		Graphics

##### SOURCE FILES #####

Source: libgpio.tar.bz2
Patch0: libgpio-alpha.patch.bz2
Patch1: libgpio-includes.patch.bz2
Patch2: libgpio-lib64.patch.bz2

##### ADDITIONAL DEFINITIONS #####

Requires: 	libusb0.1_4
Provides:	libgpio
BuildRequires:	libusb-devel
BuildRoot: %{_tmppath}/%{name}-buildroot

##### SUB-PACKAGES #####

%description

libgpio is a library for different I/O operations done by GPhoto 2.0

%package devel
Summary: Headers and links to compile against the "%{libname}" library
Requires: 	%{libname}
Provides:	libgpio-devel
Group:		Graphics

%description devel
This package contains all files which one needs to compile programs using
the "%{libname}" library.


##### PREP #####

%prep
%setup -q -n libgpio
%patch -p1 -b .alpha
%patch1 -p1 -b .includes
%patch2 -p1 -b .lib64

##### BUILD #####

%build
# "autogen" is needed because we have a CVS snapshot.
libtoolize --copy --force
./autogen.sh --prefix=%{_prefix} --libdir=%{_libdir}
%make

##### INSTALL #####

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

# Install the README files of the source tarball in the doc directory
#cp *.txt $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}


##### PRE/POST INSTALL SCRIPTS #####

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

##### CLEAN UP #####

%clean
rm -rf $RPM_BUILD_ROOT


##### FILE LISTS FOR ALL BINARY PACKAGES #####

##### %{libname}
%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/gpio/*.so.*

##### %{libname}-devel
%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.sh
%{_libdir}/gpio/*.so
%{_libdir}/gpio/*.la
%{_libdir}/gpio/*.a
%{_bindir}/*
%{_includedir}/gpio/*

##### CHANGELOG #####

%changelog
* Tue Sep  2 2003 Till Kamppeter <till@mandrakesoft.com> 0.0.2-11mdk
- Corrected BuildRequires: no major numbers for libraries (needed to build 
  on 64-bit systems).

* Tue Sep  2 2003 Till Kamppeter <till@mandrakesoft.com> 0.0.2-10mdk
- Used the mklibname macro.

* Tue Jul 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.0.2-9mdk
- rebuild
- don't rm -rf $RPM_BUILD_ROOT in %%prep

* Tue Nov 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.0.2-8mdk
- Patch1: Add missing includes
- Patch2: Make it lib64 aware
- Let IOLIBS be something consistent with the resulting package

* Sun Jun 16 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.0.2-7mdk
- Alpha build fix.

* Wed Mar  6 2002 Till Kamppeter <till@mandrakesoft.com> 0.0.2-6mdk
- Rebuilt for libusb 0.1.5.

* Mon Jan 28 2002 Till Kamppeter <till@mandrakesoft.com> 0.0.2-5mdk
- Fixed dependencies for libusb 0.1.4.

* Mon Jan 28 2002 Till Kamppeter <till@mandrakesoft.com> 0.0.2-4mdk
- Rebuilt for libusb 0.1.4.

* Mon Aug  6 2001 Till Kamppeter <till@mandrakesoft.com> 0.0.2-3mdk
- Rebuild, 0.0.2-2mdk got lost on the Cooker

* Mon Aug  6 2001 Till Kamppeter <till@mandrakesoft.com> 0.0.2-2mdk
- Corrected the "Requires:" and "Buildrequires:" entries

* Mon Aug  6 2001 Till Kamppeter <till@mandrakesoft.com> 0.0.2-1mdk
- Initial release

